# Uses of Interface
ch.qos.logback.core.status.StatusListener

Packages that use StatusListener
Package
Description
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.status
Contains logback's internal error reporting system.

## Uses of StatusListener in ch.qos.logback.core

Fields in ch.qos.logback.core with type parameters of type StatusListener
Modifier and Type
Field
Description
`protected final List<StatusListener>`
BasicStatusManager.`statusListenerList`
Methods in ch.qos.logback.core that return types with arguments of type StatusListener
Modifier and Type
Method
Description
`List<StatusListener>`
BasicStatusManager.`getCopyOfStatusListenerList()`
Methods in ch.qos.logback.core with parameters of type StatusListener
Modifier and Type
Method
Description
`boolean`
BasicStatusManager.`add(StatusListener listener)`
This implementation does not allow duplicate installations of OnConsoleStatusListener
`void`
BasicStatusManager.`remove(StatusListener listener)`

## Uses of StatusListener in ch.qos.logback.core.status

Classes in ch.qos.logback.core.status that implement StatusListener
Modifier and Type
Class
Description
`class`
`NopStatusListener`
A no-operation (nop) StatusListener
`class`
`OnConsoleStatusListener`
Print all new incoming status messages on the console (System.out).
`class`
`OnErrorConsoleStatusListener`
Print all new incoming status messages on the error console (System.err).
`class`
`OnPrintStreamStatusListenerBase`
Print all new incoming status messages on the on the designated PrintStream.
`class`
`StatusListenerAsList`
Collect all incoming events in a list.
Methods in ch.qos.logback.core.status that return types with arguments of type StatusListener
Modifier and Type
Method
Description
`List<StatusListener>`
StatusManager.`getCopyOfStatusListenerList()`
Obtain a copy of the status listener list maintained by this StatusManager
Methods in ch.qos.logback.core.status with parameters of type StatusListener
Modifier and Type
Method
Description
`boolean`
StatusManager.`add(StatusListener listener)`
Add a status listener.
`void`
StatusManager.`remove(StatusListener listener)`
); Remove a status listener.